module ExpertSenderApi
  class Result
    attr_reader :response, :parsed_response, :error_code, :error_message

    def initialize(response)
      @response = response

      if (@response.body)
        @parsed_response = Nokogiri::XML(@response.body)

        if @parsed_response.xpath('//ErrorMessage').any?
          @error_message = @parsed_response.xpath('//ErrorMessage/Message').text
          @error_code = @parsed_response.xpath('//ErrorMessage/Code').text
        end
      end

      freeze
    end

    def success?
      status_success? and
      error_code.nil? and
      error_message.nil?
    end

    def failed?
      not success?
    end

    def status_success?
      response.code == 200 or
      response.code == 201 or
      response.code == 202
    end
  end
end


clients=Client.joins(:childs).
  where("clients.created_at > '2014-01-13 00:00:00.000000' and clients.created_at < '2014-01-13 23:59:59.999999'").
  where(synchronized: false).
  where('children.client_id is not null')
not_subscribed_clients = []
clients.each do |c|
  si = account.expertsender.get_subscriber_info email: c.email
  subscribed = si.parsed_response.css('StateOnList').
    select { |e| e.css('ListId').text.to_i == 2 && e.css('Status').text == 'Active' }.size == 1
    p "Client: #{c.email}, sync: #{c.synchronized}, uns: #{c.unsubscribed}, registered: #{c.registered}, MainList: #{subscribed}"
    not_subscribed_clients.push c unless subscribed
end;nil
p "Subscribed: #{clients.count - not_subscribed_clients.size}/#{clients.count}"

orders = OrderChange.where("created_at > '2014-01-13 00:00:00.000000' and created_at < '2014-01-13 23:59:59.999999'").map(&:order)
ios = []
no_ios = []
orders.each do |o|
begin
  io = InsalesApi::Order.find o.insales_order_id
  ios << io
rescue => e
  p e
  no_ios << o
end
end